Subject: Re: misc
From: "The Mighty Git" <[email-masked]>
To: [email-masked] (Wouter van Oortmerssen)
Cc: [email-masked]
Date: Sun, 25 Jul 1993 16:01:59 +0100 (BST)

Have a Wouter van Oortmerssen:
:> 
:> >>  Wouter,
:> >> 
:> >> Could you/would you implement some kind of directive that forces data to be
:> >> placed in chip ram, like the Lattice C "chip" storage class specifier?
:> >> 
:> >> -- Barry
:>  
:> I probably could, but I find it a very ugly idea. small chipdata can always
:> be copied to chip after a program start (spritedata etc.). if the amount
:> of data is that large that it would be a waiste of memory to copy it,
:> (pictures, samples etc.) it shouldn't be _in_ the program in the first place,
:> but rather in a seperate file and read directly into chipram.
:>  
:> Wouter
:>  

Just my opinion, but by not implementing this you are forcing people to
use multiple files even if they don't want to.  I think that E should be
as flexible as possible and thus cater for all people's possible wants
(even if it should appear ugly).   I would greatly appreciate a CHIP
specifier.

--
The Git